--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: shutdown the connection to the server
full_name: Irc::Socket#shutdown
is_singleton: false
name: shutdown
params: (how=2)
visibility: public
